### Method

# Fwupd Client set_approved_firmware_async

#### Declaration [src]

    void
    fwupd_client_set_approved_firmware_async (
      FwupdClient* self,
      GPtrArray* checksums,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Sets the list of approved firmware.

Available since: | 1.5.0

#### Parameters

`checksums` | An array of `utf8`
| Firmware checksums.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The function to run on completion.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| The data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.